com.jscape.inet.terminal

## Class TerminalAdapter

- java.lang.Object
- - com.jscape.inet.terminal.TerminalAdapter

- All Implemented Interfaces:
    TerminalListener, java.util.Observer

      public class TerminalAdapter
      extends java.lang.Object
      implements TerminalListener

  Represents default (void) implementation of `TerminalListener`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerminalAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCellEvent(CellEvent event)` Handles cell event.
    `void` | `onCommandEvent(CommandEvent event)` Handles command event.
    `void` | `onExceptionEvent(ExceptionEvent event)` Handles exception event.
    `void` | `update(java.util.Observable source, java.lang.Object event)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TerminalAdapter

          public TerminalAdapter()

  - ### Method Detail

    - #### onExceptionEvent

          public void onExceptionEvent(ExceptionEvent event)

      Handles exception event.
      Specified by:
        `onExceptionEvent` in interface `TerminalListener`
      Parameters:
        `event` - `ExceptionEvent` object.

    - #### onCellEvent

          public void onCellEvent(CellEvent event)

      Handles cell event.
      Specified by:
        `onCellEvent` in interface `TerminalListener`
      Parameters:
        `event` - `CellEvent` object.

    - #### onCommandEvent

          public void onCommandEvent(CommandEvent event)

      Handles command event.
      Specified by:
        `onCommandEvent` in interface `TerminalListener`
      Parameters:
        `event` - `CommandEvent` object

    - #### update

          public void update(java.util.Observable source,
                             java.lang.Object event)

      Specified by:
        `update` in interface `java.util.Observer`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved